.header {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 40px;
    padding: 0 20px;
    z-index: 10;
}

body.menu-mobile-open {
    overflow: hidden;
}

.header_container {
    width: 100%;
    max-width: var(--largura-container);
    background-color: var(--cor-fundo-principal);
    padding: 10px 30px;
    border-radius: 90px;
    height: 85px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.header_nav {
    width: 100%;
    height: 100%;
    gap: 10px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header_nav-logo {
    height: 100%;
    width: auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

.header_nav-logo a {
    display: flex;
    align-items: center;
    justify-content: center;
}

.header_nav-logo a img {
    object-fit: contain;
    max-width: 218px;
    height: auto;
    width: 100%;
}

.header_nav-logo a strong,
.header_nav-logo a h1 {
    font-size: 18px;
    font-style: normal;
    font-weight: 500;
    line-height: 24px;
    color: var(--cor-texto-principal);
}

.header_nav-menu {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.header_nav-menu ul {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 13px;
    width: auto;
}

.header_nav-menu .header_menu-list li {
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    transition: all .3s ease-in-out;
}

.header_nav-menu .header_menu-list li.menu-item-has-children {
    position: relative;
}

.header_nav-menu .header_menu-list li.menu-item-has-children:hover a::after {
    transform: rotate(180deg);
}

.header_nav-menu .header_menu-list li.menu-item-has-children:hover>.sub-menu {
    display: flex;
}

.header_nav-menu .header_menu-list li a {
    color: var(--cor-texto-principal);
    font-size: 16px;
    text-transform: capitalize;
    word-break: break-word;
    font-weight: 400;
    transition: all .3s ease-in-out;
}

.header_nav-menu .header_menu-list li a:hover {
    color: var(--cor-primaria);
}

.header_nav-menu .header_menu-list li.menu-item-has-children>a {
    position: relative;
    display: flex;
    align-items: center;
    gap: 10px;
}

.header_nav-menu .header_menu-list li.menu-item-has-children>a::after {
    content: "";
    display: inline-block;
    width: 12px;
    height: 12px;
    background-image: url("../../images/icones/dropdown.svg");
    background-repeat: no-repeat;
    background-position: center;
    transform: rotate(0);
    transition: transform 333ms ease-in-out;
    background-size: contain;
}

.header_nav-menu .header_menu-list li .sub-menu {
    position: absolute;
    top: 100%;
    width: auto;
    min-width: 250px;
    max-width: 350px;
    display: none;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 20px;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
    gap: 10px;
    background-color: var(--cor-fundo-principal);
    height: auto;
}

.header_nav-menu .header_menu-list li.menu-item-has-children:hover>.sub-menu > li{
    width: 100%;
    align-items: flex-start;
}

.header_nav-search {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.header_nav-search label {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    max-width: 240px;
    width: auto;
    height: 50px;
    border-radius: 45px;
    background: var(--cor-fundo-secundario);
    padding: 5px 15px;
}

.header_nav-search label svg {
    width: 21px;
    height: 21px;
}

.header_nav-search label svg path {
    fill: var(--cor-icone-padrao);
}

.header_nav-search label input {
    height: 100%;
    width: 100%;
    color: var(--cor-icone-padrao);
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
}

.header_nav-mobile-button {
    display: none;
    width: auto;
    height: 100%;
    align-items: center;
    justify-content: center;
}

.header_nav-mobile-button svg {
    width: 30px;
    height: 30px;
}

.header_nav-mobile-button svg path {
    fill: var(--cor-primaria);
}

.header_nav-mobile {
    position: fixed;
    right: 0;
    width: 100%;
    opacity: 0;
    visibility: hidden;
    z-index: 10;
    background-color: var(--cor-fundo-principal);
    height: 100dvh;
    top: 0;
    flex-direction: column;
    transform: translateX(100%);

    transition: .3s ease;
}

.header_nav-mobile.is-open {
    opacity: 1;
    visibility: visible;

    transform: translateX(0);
}

.header_nav-logo-mobile {
    display: none;
}

.header_nav-mobile-top {
    width: 100%;
    padding: 10px 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid var(--cor-borda-clara);
}

.header_nav-mobile-top-logo a {
    display: flex;
    align-items: center;
    justify-content: center;
}

.header_nav-mobile-top-logo img {
    height: auto;
    max-width: auto;
    object-fit: contain;
    max-height: 60px;
    max-width: 220px;
}

.header_nav-mobile-top-logo strong {
    font-size: 18px;
    font-style: normal;
    font-weight: 500;
    line-height: 24px;
    color: var(--cor-texto-principal);
}

.header_nav-menu-close {
    display: flex;
    width: 30px;
    height: 30px;
    align-items: center;
    justify-content: center;
}

.header_nav-menu-close svg {
    width: 25px;
    height: 25px;
}

.header_nav-menu-close svg path {
    fill: var(--cor-primaria);
}

.header_nav-menu-mobile {
    padding: 20px;
    height: auto;
    display: flex;
    overflow-y: auto;
    width: 100%;
    justify-content: center;
}

.header_nav-menu-mobile .header_mobile-list {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 13px;
}

.header_nav-menu-mobile .header_mobile-list a {
    color: var(--cor-texto-principal);
    font-size: 16px;
    font-weight: 400;
    position: relative;
    display: flex;
    align-items: center;
    gap: 10px;
}

.header_nav-menu-mobile .header_mobile-list a:hover {
    color: var(--cor-primaria);
}

.header_nav-menu-mobile .header_mobile-list li.menu-item-has-children>a::after {
    content: "";
    display: inline-block;
    width: 12px;
    height: 12px;
    background-image: url("../../images/icones/dropdown.svg");
    background-repeat: no-repeat;
    background-position: center;
    transform: rotate(0);
    transition: transform 333ms ease-in-out;
    background-size: contain;
    transform: rotate(0deg);
}

.header_nav-menu-mobile .header_mobile-list li.menu-item-has-children .sub-menu {
    width: 100%;
    padding: 10px;
    display: none;
    flex-direction: column;
    gap: 10px;
}

.header_nav-menu-mobile .header_mobile-list li.menu-item-has-children.is-open>.sub-menu {
    display: flex;
}

.header_nav-menu-mobile .header_mobile-list li.menu-item-has-children.is-open>a::after {
    transform: rotate(180deg);
}

.header_nav-mobile-search {
    width: 100%;
    padding: 0 20px;
}

.header_nav-mobile-search label {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    max-width: 100%;
    width: auto;
    height: 50px;
    border-radius: 45px;
    background: var(--cor-fundo-secundario);
    padding: 5px 15px;
}

.header_nav-mobile-search svg {
    width: 21px;
    height: 21px;
}

.header_nav-mobile-search svg path {
    fill: var(--cor-icone-padrao);
}

.header_nav-mobile-search input {
    height: 100%;
    width: 100%;
    color: var(--cor-icone-padrao);
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
}

/* Responsividade */

@media screen and (max-width: 991px) {
    .header_nav-menu {
        display: none;
    }

    .header_nav-search {
        display: none;
    }

    .header_nav-logo-desktop {
        display: none;
    }

    .header_nav-mobile-button {
        display: flex;
    }

    .header_nav-mobile {
        display: flex;
    }

    .header_nav-logo-mobile {
        display: flex;
    }
}

@media screen and (max-width: 500px) {
    .header_nav-menu-mobile .header_mobile-list a {
        justify-content: space-between;
    }
}